# $Id: XiuMai.pm,v 1.15 2012/10/21 11:05:22 koba Exp $
#	Copyright(c) 2006-2012 Satoshi Kobayashi, All rights reserved.
#
#	XiuMai is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	XiuMai is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.

package XiuMai;

use strict;
use XiuMai::Locale;
use vars qw($VERSION $PRODUCT_NAME $COPYRIGHT $PRODUCT_URL $INSTALL $HOME);

$PRODUCT_NAME = 'XiuMai/0.5.10';
$COPYRIGHT    = "\xC2\xA9 2006-2012 Satoshi Kobayashi.";
$PRODUCT_URL  = 'http://www.yk.rim.or.jp/~koba/xiumai/';

$VERSION = do { my @r = ($PRODUCT_NAME =~ /\d{1,2}/g);
				sprintf("%d." . "%02d" x $#r, @r) };

$INSTALL = '/usr/local/xiumai';

XiuMai::Locale::init("$INSTALL/locale/message");

1;
